<?php
namespace Home\Controller;
use Think\Controller;
/*
* 用户控制器
*
*/
class UserController extends BaseController
{

    //用户个人信息
    public function userInfo()
    {   
        // $model= M("game_member","",C("LEWAN_HEZI"));
        $model= new \Home\Model\UserModel();
        $token = decryptToken(I('token'));

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            //获取用户数据
            $result = $model->userInfo($token['uid']);
        }

        echo $this->formatRes($result);
    }


    //用户签到信息
    public function signInfo()
    {   
        $model= M("game_member_sign","",C("LEWAN_HEZI"));
        $token = decryptToken(I('token'));

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            $uid = $token['uid'];
            $list = $this->signList;
            $signDay = 1;
            $signStatus = 1;
            //获取用户签到信息
            $sql = "select * from game_member_sign where uid=$uid and game_code='ylc' and add_time < '".strtotime(date('Y-m-d'))."' and add_time > '".strtotime(date('Y-m-d',time()-(60*60*24)))."' order by add_time desc";
			$signInfo = $model->query($sql)[0];

			if(!empty($signInfo)) {
				if($signInfo['sign_num'] < 7) {
					for($i=0;$i<$signInfo['sign_num'];$i++) {
						$list[$i]['status'] = 2;
					}
					$signDay = $signInfo['sign_num']+1;
				}
			}

            $signWhere = array(
                'uid'=>$uid
                ,'game_code'=>'ylc'
                ,'add_time'=>array('gt',strtotime(date('Y-m-d')))
            );
            $today = $model->where($signWhere)->count();
            if($today > 0) {
				$signStatus = 2;
				if(!empty($signInfo['sign_num'])) {
					$list[$signDay-1]['status'] = 2;
				} else {
					$list[0]['status'] = 2;
				}

            }
            $result = array(
                'c'=>1
                ,'msg'=>'获取成功'
                ,'d'=>array(
                    'sign_day' =>$signDay
                    ,'sign_status' =>$signStatus
                    ,'list' =>$list
                )
            );

        }

        echo $this->formatRes($result);
    }


    //用户签到
    public function userSign()
    {  
        // $model= M("game_member","",C("LEWAN_HEZI"));
        $model= new \Home\Model\UserModel();
        $token = decryptToken(I('token'));
        $doubleReward = I('double_reward',1);

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            //获取用户数据
            $result = $model->userSign($token['uid'],$doubleReward);
        }

        echo $this->formatRes($result);
    }


    //用户任务列表
    public function userTask()
    {
        $token = decryptToken(I('token'));

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            $model= M("game_global_task","",C("LEWAN_HEZI"));
            $uid = $token['uid'];
            $taskList = $this->taskList;
    
            //获取用户今天做任务数据
            // $sql = "select * from ".get_table("game_global_task")." where uid=$userid and add_time > '".date('Y-m-d')."' order by add_time desc";
            // $result = $GLOBALS["conn"]->Query($sql);
            // $taskArr = $GLOBALS["conn"]->getAll($result);
            $whereArr = array(
                'uid'=>$uid
                ,'game_code'=>'ylc'
                ,'add_time'=>array('gt',strtotime(date('Y-m-d')))
            );
            $taskArr = $model->where($whereArr)->select();
    
            if(!empty($taskArr)) {
                foreach($taskList as $key=>$val) {
                    foreach($taskArr as $tkey=>$tval) {
                        if($val['en_name'] == $tval['en_name']) {
                            //任务数量超出目标数量处理
                            if($tval['schedule'] > $taskList[$key]['target']) {
                                $taskList[$key]['schedule'] = $taskList[$key]['target'];
                            } else {
                                $taskList[$key]['schedule'] = $tval['schedule'];
                            }
                            $taskList[$key]['status'] = $tval['status'];
                        }
                    }
                }
            }

            $result = array(
                'c'=>1
                ,'msg'=>'获取成功'
                ,'d'=>array(
                    'task_list'=>$taskList
                )
            );

        }

        echo $this->formatRes($result);
    }


    //用户任务奖励领取
    public function taskPrize()
    {
        // $model= M("game_member","",C("LEWAN_HEZI"));
        $model= new \Home\Model\UserModel();
        $token = decryptToken(I('token'));
        $taskName = I('task_name','');

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            //获取用户数据
            $result = $model->taskPrize($token['uid'],$taskName);
        }

        echo $this->formatRes($result);
    }

}

?>